import fs from 'fs';
import path from 'path';

const currentPath = process.cwd();
const packagePath = path.join(currentPath, 'script/package/package.json');

fs.writeFileSync(
  packagePath,
  JSON.stringify(
    {
      name: 'codecenter',
      version: '1.0.0',
      scripts: {
        start: 'pm2 start dist/app.mjs --name codecenter',
      },
      dependencies: {
        '@kevisual/router': '^0.0.6-alpha-5',
        '@kevisual/use-config': '^1.0.7',
        ioredis: '^5.5.0',
        minio: '^8.0.4',
        pg: '^8.13.3',
        sequelize: '^6.37.5',
        sqlite3: '^5.1.7',
        'socket.io': '^4.8.1',
        '@msgpack/msgpack': '3.0.1',
        pino: '^9.6.0',
        'pino-pretty': '^13.0.0',
      },
    },
    null,
    2,
  ),
  'utf-8',
);
